Visit our newest sister site!
Hundreds of free aircraft flight manuals
Civilian • Historical • Military • Declassified • FREE!


TUCoPS :: Linux :: Apps A-M :: icecast1.htm

IceCast Exploitable Buffer Overflow



Vulnerability

    IceCast

Affected

    IceCast

Description

    Andreas Hasenack  identified several  more likely  buffer overflow
    vulnerabilities.  Matt  Messier took a  look, and determined  that
    at least some of them are definitely remotely exploitable.

    Also,  to  clarify  Icecast  1.3.9  not  only fixed several buffer
    overflows  discovered,  but  it  also  (finally)  fixed the format
    string vulnerabilities in IceCast #1.

Solution

    Like the last round of vulnerabilities, these problems affect  all
    Icecast users.   The icecast team  has released version  1.3.10 to
    correct these new problems.  Everyone using icecast should upgrade
    immediately.


TUCoPS is optimized to look best in Firefox® on a widescreen monitor (1440x900 or better).
Site design & layout copyright © 1986-2014 AOH